Index: c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am	(revision 3c6d7ae543ec3831234d41f8e2d3d8f5315e4e57)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am	(revision 05a20c1f79baf0e23adef2a5d0497d12b4daefd7)
@@ -48,4 +48,5 @@
 include_bsp_HEADERS += ../../shared/include/irq-generic.h
 include_bsp_HEADERS += ../../shared/include/irq-info.h
+include_bsp_HEADERS += ../../shared/include/stackalloc.h
 include_bsp_HEADERS += ../../shared/include/utility.h
 include_bsp_HEADERS += ../shared/include/linker-symbols.h
@@ -66,4 +67,5 @@
 libbsp_a_SOURCES += ../../shared/bsppredriverhook.c
 libbsp_a_SOURCES += ../../shared/bspgetworkarea.c
+libbsp_a_SOURCES += ../../shared/src/stackalloc.c
 libbsp_a_SOURCES += ../shared/src/bsp-start-zero.S
 libbsp_a_SOURCES += ../shared/src/memcpy.c
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/preinstall.am
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/preinstall.am	(revision 3c6d7ae543ec3831234d41f8e2d3d8f5315e4e57)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/preinstall.am	(revision 05a20c1f79baf0e23adef2a5d0497d12b4daefd7)
@@ -122,4 +122,8 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/irq-info.h
 
+$(PROJECT_INCLUDE)/bsp/stackalloc.h: ../../shared/include/stackalloc.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/stackalloc.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/stackalloc.h
+
 $(PROJECT_INCLUDE)/bsp/utility.h: ../../shared/include/utility.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
 	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/utility.h
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.gwlcfm
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.gwlcfm	(revision 3c6d7ae543ec3831234d41f8e2d3d8f5315e4e57)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.gwlcfm	(revision 05a20c1f79baf0e23adef2a5d0497d12b4daefd7)
@@ -21,5 +21,5 @@
 REGION_ALIAS ("REGION_RWEXTRA", RAM_EXT);
 REGION_ALIAS ("REGION_WORK", RAM_EXT);
-REGION_ALIAS ("REGION_STACK", RAM_EXT);
+REGION_ALIAS ("REGION_STACK", RAM);
 REGION_ALIAS ("REGION_NOCACHE", NOCACHE);
 
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.mpc5566evb
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.mpc5566evb	(revision 3c6d7ae543ec3831234d41f8e2d3d8f5315e4e57)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.mpc5566evb	(revision 05a20c1f79baf0e23adef2a5d0497d12b4daefd7)
@@ -21,5 +21,5 @@
 REGION_ALIAS ("REGION_RWEXTRA", RAM_EXT);
 REGION_ALIAS ("REGION_WORK", RAM_EXT);
-REGION_ALIAS ("REGION_STACK", RAM_EXT);
+REGION_ALIAS ("REGION_STACK", RAM);
 REGION_ALIAS ("REGION_NOCACHE", NOCACHE);
 
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.mpc5674fevb
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.mpc5674fevb	(revision 3c6d7ae543ec3831234d41f8e2d3d8f5315e4e57)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.mpc5674fevb	(revision 05a20c1f79baf0e23adef2a5d0497d12b4daefd7)
@@ -21,5 +21,5 @@
 REGION_ALIAS ("REGION_RWEXTRA", RAM_EXT);
 REGION_ALIAS ("REGION_WORK", RAM_EXT);
-REGION_ALIAS ("REGION_STACK", RAM_EXT);
+REGION_ALIAS ("REGION_STACK", RAM);
 REGION_ALIAS ("REGION_NOCACHE", NOCACHE);
 
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.phycore_mpc5554
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.phycore_mpc5554	(revision 3c6d7ae543ec3831234d41f8e2d3d8f5315e4e57)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.phycore_mpc5554	(revision 05a20c1f79baf0e23adef2a5d0497d12b4daefd7)
@@ -30,5 +30,5 @@
 REGION_ALIAS ("REGION_RWEXTRA", RAM_EXT);
 REGION_ALIAS ("REGION_WORK", RAM_EXT);
-REGION_ALIAS ("REGION_STACK", RAM_EXT);
+REGION_ALIAS ("REGION_STACK", RAM);
 REGION_ALIAS ("REGION_NOCACHE", NOCACHE);
 
